Redmine - Defect #18622

Awesome nested set. Need to update.
2014-12-11 03:06 - Vasil Kovalevsky

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

Hello. In rm 2.6 you are using older version of awesome_nested_set, which has the bug in method move_to_root.
Code from lib, which using in rm 2.6:

def move_to_root
move_to_right_of (root)
end

Its fail for every call.
Code of current version of lib (was fixed in 2013 !l now will be 2015 soon):
def move_to_root

move_to self, :root

end

It very important for us. Can you update lib in your repository ? And i did not figure our which version of lib you are using (2.1.7 does
not exist in official repository)

History

#1 - 2014-12-11 03:11 - Vasil Kovalevsky
Here fix - https:/github.com/collectiveidea/awesome_nested_set/commit/707dbec95c5¢c759cec2460ea29face53c11568f2

#2 - 2014-12-12 04:54 - Toshi MARUYAMA

Vasiliy Kovalevsky wrote:

Its fail for every call.

What happens?
It very important for us. Can you update lib in your repository ? And i did not figure our which version of lib you are using (2.1.7 does not exist in
official repository)

Bundled awesome nested set in Redmine 2.6 is for Rails 3.

https://github.com/collectiveidea/awesome_nested_set/commit/707dbec95c5¢759cec2460ea29face53c11568f2 is for Rails 4.

#3 - 2014-12-12 11:01 - Vasil Kovalevsky
Step-by-step:

using default redmine 2.6 without 3-rd party plugins

created just 1 issue - Issue 1

go to dir with application (redmine)

put "rails c"

put "Issue.first. move_to_root" (just example, you can use this method from some place for any instance of model marked like
acts_as_nested_set)

® error:
ActiveRecord:

from

:ActiveRecordError: Impossible move, target node cannot be inside moved tree.
/usr/share/srv-redmine/redmine-2.6/1lib/plugins/awesome_nested_set/lib/awesome_nested_set/move

.rb:115:in “prevent_impossible_move'

from
.rb:14:in
from

1/movable.rb:

from

/usr/share/srv-redmine/redmine-2.6/1ib/plugins/awesome_nested_set/lib/awesome_nested_set/move

“move'

/usr/share/srv-redmine/redmine-2.6/1lib/plugins/awesome_nested_set/lib/awesome_nested_set/mode
97:in “block (2 levels) in move_to'
/home/user/.rvm/gems/ruby—-1.9.3-head@rails3/gems/activerecord-3.2.20/1lib/active_record/connec

tion_adapters/abstract/database_statements.rb:192:in “transaction'

from

ctions.rb:208:1in

from

ctions.rb:250:1in

from

l/transactable.rb:11:in

from

1/movable.rb:

from
backs.rb:403
from
backs.rb:405
from
backs.rb:385
from

backs.rb:81:in

from

1/movable.rb:

from

1/movable.rb:

from

1/movable.rb:

:in

t1ln

:in

/home/user/.rvm/gems/ruby—-1.9.3-head@rails3/gems/activerecord-3.2.20/1ib/active_record/transa
“transaction'
/home/user/.rvm/gems/ruby-1.9.3-head@rails3/gems/activerecord-3.2.20/1lib/active_record/transa
“transaction'
/usr/share/srv-redmine/redmine-2.6/1lib/plugins/awesome_nested_set/lib/awesome_nested_set/mode
“in_tenacious_transaction'
/usr/share/srv-redmine/redmine-2.6/1ib/plugins/awesome_nested_set/lib/awesome_nested_set/mode
93:in "block in move_to'
/home/user/.rvm/gems/ruby-1.9.3-head@rails3/gems/activesupport-3.2.20/1lib/active_support/call
_run__1031626229__move_ 194490682__callbacks'
/home/user/.rvm/gems/ruby—-1.9.3-head@rails3/gems/activesupport-3.2.20/1lib/active_support/call
i __run_callback'
/home/user/.rvm/gems/ruby—-1.9.3-head@rails3/gems/activesupport-3.2.20/1lib/active_support/call
" _run_move_callbacks'
/home/user/.rvm/gems/ruby-1.9.3-head@rails3/gems/activesupport-3.2.20/1lib/active_support/call
“run_callbacks'
/usr/share/srv-redmine/redmine-2.6/1lib/plugins/awesome_nested_set/lib/awesome_nested_set/mode
92:in “move_to'
/usr/share/srv-redmine/redmine-2.6/1lib/plugins/awesome_nested_set/lib/awesome_nested_set/mode
34:in "move_to_right_of'
/usr/share/srv-redmine/redmine-2.6/1lib/plugins/awesome_nested_set/lib/awesome_nested_set/mode

55:in ‘move_to_root'

from (irb):3

from /home/user/.rvm/gems/ruby-1.9.3-head@rails3/gems/railties-3.2.20/1ib/rails/commands/console.r
b:47:in "~ start'

from /home/user/.rvm/gems/ruby-1.9.3-head@rails3/gems/railties-3.2.20/1lib/rails/commands/console.r
b:8:in “start'

from /home/user/.rvm/gems/ruby-1.9.3-head@rails3/gems/railties-3.2.20/1lib/rails/commands.rb:41:1in
“<top (required)>'

from

Can you post patch?
script/rails:6:in “require'

There is no bug in redmine 2.5

| know, thats for rails 4, but the fix (link above) can easy (without any additional changes) apply to lib from 2.6 and works fine for rails 3.

#4 - 2014-12-12 11:26 - Toshi MARUYAMA

#5 - 2015-01-10 22:23 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix

Redmine trunk no longer uses awesome_nested_set, see r13841.
